Page MenuHomePhabricator

Deploy Commons deletion notification bot on fawiki
Closed, ResolvedPublic2 Story Points

Description

This ticket is for deploying the Commons deletion bot to work on fawiki. This should be a two step process:

  • Turn on the bot and make sure:
    • The text is all in Persian.
    • The bot is not using the bot flag (as specified in parent ticket description).
    • The bot is not making any duplicate posts or anything outside of the expected.

Event Timeline

4nn1l2 triaged this task as Medium priority.Jul 9 2019, 9:48 PM
4nn1l2 created this task.
Aklapper raised the priority of this task from Medium to Needs Triage.Jul 9 2019, 11:03 PM

@4nn1l2: Has MaxSem agreed to work on this? Also resetting priority as per https://www.mediawiki.org/wiki/Phabricator/Project_management#Setting_task_priorities . Also removing subscribers of parent task who might not necessarily be interested in following the details of this task.

Niharika removed MaxSem as the assignee of this task.Jul 9 2019, 11:05 PM
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Niharika added a subscriber: MaxSem.

Thanks @4nn1l2. We'll take it from here.

Niharika triaged this task as Medium priority.Jul 9 2019, 11:38 PM
Niharika set the point value for this task to 2.
Niharika updated the task description. (Show Details)
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
MaxSem claimed this task.Aug 5 2019, 11:06 PM
MaxSem moved this task from Ready to In Development on the Community-Tech (Kanban (Q1 2019-20)) board.

Bot enabled with 1431b80b and this change has been deployed.

Waiting for edits to see how it works.

@4nn1l2, the bod made its first edits - do they look good?

4nn1l2 added a comment.Aug 7 2019, 2:46 AM

@MaxSem, Yes. I personally ran the bot for three days and all edits were good. The edits by Community_Tech_bot looks good too.

Please be informed that while a bot flag is not needed in this case, the task should be approved by the BAG‌ team. You can request for approval here where English is also supported.

MaxSem added a comment.Aug 8 2019, 1:08 AM

Thanks! I've submitted the request here.

dom_walden added a subscriber: dom_walden.
  • Turn on the bot and make sure:
    • The text is all in Persian.

Yes. For example, here.

  • The bot is not using the bot flag (as specified in parent ticket description).

I am not sure about this, as I believe this is not user facing (as such).

I believe this means the edits the bot makes to an article's talk page will not appear in Special:RecentChanges when filtering for bot edits. The edits that the bot made were too long ago for me to see them in recent changes on fawiki.

However, fawiki's config is the same as enwiki. If it works in the latter, I assume it works in the former.

  • The bot is not making any duplicate posts or anything outside of the expected.

None so far, although only four have been made.

Progress update: the bot has completed its 100 edits trial, waiting for approval.

ifried closed this task as Resolved.Sep 11 2019, 5:05 PM